Bulletin d'alerte Debian

DSA-648-1 xpdf -- Dépassement de tampon

Date du rapport :
19 janvier 2005
Paquets concernés :
xpdf
Vulnérabilité :
Oui
Références dans la base de données de sécurité :
Dans le dictionnaire CVE du Mitre : CVE-2005-0064.
Plus de précisions :

iDEFENSE a signalé un dépassement de tampon dans xpdf, un visualisateur de fichiers PDF. Un fichier PDF malveillant spécialement créé pourrait exploiter ce problème, ce qui conduirait à l'exécution de code arbitraire.

Pour l'actuelle distribution stable (Woody), ce problème a été corrigé dans la version 1.00-3.4.

Pour la distribution instable (Sid), ce problème a été corrigé dans la version 3.00-12.

Nous vous recommandons de mettre à jour votre paquet xpdf.

Corrigé dans :

Debian GNU/Linux 3.0 (woody)

Source :
http://security.debian.org/pool/updates/main/x/xpdf/xpdf_1.00-3.4.dsc
http://security.debian.org/pool/updates/main/x/xpdf/xpdf_1.00-3.4.diff.gz
http://security.debian.org/pool/updates/main/x/xpdf/xpdf_1.00.orig.tar.gz
Composant indépendant de l'architecture :
http://security.debian.org/pool/updates/main/x/xpdf/xpdf-common_1.00-3.4_all.deb
http://security.debian.org/pool/updates/main/x/xpdf/xpdf_1.00-3.4_all.deb
Alpha:
http://security.debian.org/pool/updates/main/x/xpdf/xpdf-reader_1.00-3.4_alpha.deb
http://security.debian.org/pool/updates/main/x/xpdf/xpdf-utils_1.00-3.4_alpha.deb
ARM:
http://security.debian.org/pool/updates/main/x/xpdf/xpdf-reader_1.00-3.4_arm.deb
http://security.debian.org/pool/updates/main/x/xpdf/xpdf-utils_1.00-3.4_arm.deb
Intel IA-32:
http://security.debian.org/pool/updates/main/x/xpdf/xpdf-reader_1.00-3.4_i386.deb
http://security.debian.org/pool/updates/main/x/xpdf/xpdf-utils_1.00-3.4_i386.deb
Intel IA-64:
http://security.debian.org/pool/updates/main/x/xpdf/xpdf-reader_1.00-3.4_ia64.deb
http://security.debian.org/pool/updates/main/x/xpdf/xpdf-utils_1.00-3.4_ia64.deb
HPPA:
http://security.debian.org/pool/updates/main/x/xpdf/xpdf-reader_1.00-3.4_hppa.deb
http://security.debian.org/pool/updates/main/x/xpdf/xpdf-utils_1.00-3.4_hppa.deb
Motorola 680x0:
http://security.debian.org/pool/updates/main/x/xpdf/xpdf-reader_1.00-3.4_m68k.deb
http://security.debian.org/pool/updates/main/x/xpdf/xpdf-utils_1.00-3.4_m68k.deb
Big endian MIPS:
http://security.debian.org/pool/updates/main/x/xpdf/xpdf-reader_1.00-3.4_mips.deb
http://security.debian.org/pool/updates/main/x/xpdf/xpdf-utils_1.00-3.4_mips.deb
Little endian MIPS:
http://security.debian.org/pool/updates/main/x/xpdf/xpdf-reader_1.00-3.4_mipsel.deb
http://security.debian.org/pool/updates/main/x/xpdf/xpdf-utils_1.00-3.4_mipsel.deb
PowerPC:
http://security.debian.org/pool/updates/main/x/xpdf/xpdf-reader_1.00-3.4_powerpc.deb
http://security.debian.org/pool/updates/main/x/xpdf/xpdf-utils_1.00-3.4_powerpc.deb
IBM S/390:
http://security.debian.org/pool/updates/main/x/xpdf/xpdf-reader_1.00-3.4_s390.deb
http://security.debian.org/pool/updates/main/x/xpdf/xpdf-utils_1.00-3.4_s390.deb
Sun Sparc:
http://security.debian.org/pool/updates/main/x/xpdf/xpdf-reader_1.00-3.4_sparc.deb
http://security.debian.org/pool/updates/main/x/xpdf/xpdf-utils_1.00-3.4_sparc.deb

Les sommes MD5 des fichiers indiqués sont disponibles sur la page originale de l'alerte de sécurité.